---

# Copyright 2020-present Open Networking Foundation
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# override ONOS config
onos-classic:
  config:
    componentConfig:
      "org.opencord.olt.impl.OltFlowService": >
        {
          "enableDhcpOnNni": "false",
          "defaultTechProfileId": "64",
          "enableIgmpOnNni": "false",
          "enableEapol": "false",
          "enableDhcpV6": "false",
          "enableDhcpV4": "true"
        }

# override BBSim config
servicesConfig:
  workflow: dt-fttb
  services:
    - name: hsia
      uni_tag_match: 4096
      c_tag: 4096
      c_tag_allocation: shared
      s_tag: 3101
      s_tag_allocation: unique
      tp_id: 64
    - name: dpu_dhcp
      uni_tag_match: 6
      c_tag: 60 #This should be 6, set to 60 due to the way dhcp trap rules are handled, to be verified on hardware
      c_tag_allocation: shared
      s_tag_allocation: shared #TODO: this should be removed if packet is single tagged
      needs_dhcp: true
      tp_id: 64


# override Bandwidth Profile format in Sadis BBSim
bp_format: ietf
